Unify and manage your data

Delete Autopilot Configuration

Learn how the Delete Autopilot configuration API removes the active configuration while preserving history.

The delete Autopilot configuration API deletes the active Autopilot configuration for a tenant. The service removes the current configuration from active use and stops applying its settings.

The service preserves all previous versions in configuration history, so you can still review or retrieve past configurations. This behavior ensures that deletion does not result in data loss.

HTTP method and endpoint

Use the following HTTP method and endpoint path to submit the request for deleting the active Autopilot configuration for a tenant.

DELETE /configuration/{tenantId}/autopilot

The following table describes the endpoint path parameters.

ParameterTypeRequiredDescription
tenantIdStringYesTenant identifier

Request headers

The following request headers must be included.

HeaderValueRequired
AuthorizationBearer {token}Yes

Request body

This operation does not require a request body.

Response body

The following table describes the fields returned in the response body.

FieldTypeDescription
statusStringIndicates the result of the operation. Returns success when the configuration is deleted successfully.

Example response

The following example shows a response.

{
  "status": "success"
}